Bug 606315 - fence_apc fails for some port numbers
Summary: fence_apc fails for some port numbers
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman   
(Show other bugs)
Version: 5.6
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Marek Grac
QA Contact: Cluster QE
URL:
Whiteboard: Regression
Keywords:
Depends On: 606297 606316
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-21 12:05 UTC by Marek Grac
Modified: 2011-01-13 22:34 UTC (History)
6 users (show)

Fixed In Version: cman-2.0.115-40.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 606297
Environment:
Last Closed: 2011-01-13 22:34:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0036 normal SHIPPED_LIVE cman bug-fix and enhancement update 2011-01-12 17:39:38 UTC

Description Marek Grac 2010-06-21 12:05:08 UTC
+++ This bug was initially created as a clone of Bug #606297 +++

Description of problem:

This command works
fence_apc  -l user -p user -a pdu -o reboot -n 1
but the same command fails for port 23:
fence_apc  -l user -p user -a pdu -o reboot -n 23

(first line on new page)

Version-Release number of selected component (if applicable):
fence-agents-3.0.12-3.el6.x86_64

How reproducible:
Log into BAR cluster and try to fence bar-01:-)

--- Additional comment from pm-rhel@redhat.com on 2010-06-21 07:43:21 EDT ---

This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

--- Additional comment from mgrac@redhat.com on 2010-06-21 07:45:35 EDT ---

Line splitting is not working as expected when 'next line' is not issued and just carriage is returned on the first position. This affects only line after
'press enter to continue'

show_re = re.compile('^\s*(\d+)- (.*?)\s+(ON|OFF)\s*')

need to be changed to: (accept 0D as start of line)

show_re = re.compile('[^\x0D]\s*(\d+)- (.*?)\s+(ON|OFF)\s*')

Comment 2 Jaroslav Kortus 2010-11-22 18:01:23 UTC
The actual regex is re.compile('(^|\x0D)\s*(\d+)- (.*?)\s+(ON|OFF)\s*').
As it also passed the fencing tests I'm marking it as verified.

Comment 4 errata-xmlrpc 2011-01-13 22:34:56 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0036.html


Note You need to log in before you can comment on or make changes to this bug.